# role-docker-installation

## Name

Setting up a clean docker environment.

## Description

An ansible role to install docker and docker-compose.

## Installation

Either refer to the role via a requirements.yml, dependencies inside a meta.yml or via cloning the repository.

**requirements.yml - Example**

```yaml
---
roles:
  - name: role-docker-installation
    src: https://25_read_ansible_roles:glpat-8VUewUo-ntrfr5RjPc5h@git.slub-dresden.de/slub-referat-2.5/ansible/role-docker-installation.git
    scm: git
```

```bash
ansible-galaxy install -r requirements.yml
```

## Usage

Provide valid variables and include role inside your playbook.

For variables see `defaults/main.yml`.

If you want to use the new feature of "Check_MK-Plugin" for docker-instances, you need to activate the services after installing the plugin. 
To do so just go to your check_mk web-ui and your docker-host. Now you can discover for new services under host > run service discovery and include the new services.

## License

For open source projects, say how it is licensed.
